org.opencv.ximgproc

## Class SuperpixelLSC

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SuperpixelLSC

-     public class SuperpixelLSC
      extends Algorithm

  Class implementing the LSC (Linear Spectral Clustering) superpixels algorithm described in CITE: LiCVPR2015LSC. LSC (Linear Spectral Clustering) produces compact and uniform superpixels with low computational costs. Basically, a normalized cuts formulation of the superpixel segmentation is adopted based on a similarity metric that measures the color similarity and space proximity between image pixels. LSC is of linear computational complexity and high memory efficiency and is able to preserve global properties of images

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SuperpixelLSC(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SuperpixelLSC` | `__fromPtr__(long addr)`
    `void` | `enforceLabelConnectivity()` Enforce label connectivity.
    `void` | `enforceLabelConnectivity(int min_element_size)` Enforce label connectivity.
    `protected void` | `finalize()`
    `void` | `getLabelContourMask(Mat image)` Returns the mask of the superpixel segmentation stored in SuperpixelLSC object.
    `void` | `getLabelContourMask(Mat image, boolean thick_line)` Returns the mask of the superpixel segmentation stored in SuperpixelLSC object.
    `void` | `getLabels(Mat labels_out)` Returns the segmentation labeling of the image.
    `int` | `getNumberOfSuperpixels()` Calculates the actual amount of superpixels on a given segmentation computed and stored in SuperpixelLSC object.
    `void` | `iterate()` Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelLSC object.
    `void` | `iterate(int num_iterations)` Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelLSC object.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuperpixelLSC

          protected SuperpixelLSC(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SuperpixelLSC __fromPtr__(long addr)

    - #### getNumberOfSuperpixels

          public int getNumberOfSuperpixels()

      Calculates the actual amount of superpixels on a given segmentation computed and stored in SuperpixelLSC object.
      Returns:
        automatically generated

    - #### enforceLabelConnectivity

          public void enforceLabelConnectivity(int min_element_size)

      Enforce label connectivity.
      Parameters:
        `min_element_size` - The minimum element size in percents that should be absorbed into a bigger superpixel. Given resulted average superpixel size valid value should be in 0-100 range, 25 means that less then a quarter sized superpixel should be absorbed, this is default. The function merge component that is too small, assigning the previously found adjacent label to this component. Calling this function may change the final number of superpixels.

    - #### enforceLabelConnectivity

          public void enforceLabelConnectivity()

      Enforce label connectivity. superpixel. Given resulted average superpixel size valid value should be in 0-100 range, 25 means that less then a quarter sized superpixel should be absorbed, this is default. The function merge component that is too small, assigning the previously found adjacent label to this component. Calling this function may change the final number of superpixels.

    - #### getLabelContourMask

          public void getLabelContourMask(Mat image,
                                          boolean thick_line)

      Returns the mask of the superpixel segmentation stored in SuperpixelLSC object.
      Parameters:
        `image` - Return: CV_8U1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise.
        `thick_line` - If false, the border is only one pixel wide, otherwise all pixels at the border are masked. The function return the boundaries of the superpixel segmentation.

    - #### getLabelContourMask

          public void getLabelContourMask(Mat image)

      Returns the mask of the superpixel segmentation stored in SuperpixelLSC object.
      Parameters:
        `image` - Return: CV_8U1 image mask where -1 indicates that the pixel is a superpixel border, and 0 otherwise. are masked. The function return the boundaries of the superpixel segmentation.

    - #### getLabels

          public void getLabels(Mat labels_out)

      Returns the segmentation labeling of the image. Each label represents a superpixel, and each pixel is assigned to one superpixel label.
      Parameters:
        `labels_out` - Return: A CV_32SC1 integer array containing the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()]. The function returns an image with the labels of the superpixel segmentation. The labels are in the range [0, getNumberOfSuperpixels()].

    - #### iterate

          public void iterate(int num_iterations)

      Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelLSC object. This function can be called again without the need of initializing the algorithm with createSuperpixelLSC(). This save the computational cost of allocating memory for all the structures of the algorithm.
      Parameters:
        `num_iterations` - Number of iterations. Higher number improves the result. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelLSC(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of edges boundaries.

    - #### iterate

          public void iterate()

      Calculates the superpixel segmentation on a given image with the initialized parameters in the SuperpixelLSC object. This function can be called again without the need of initializing the algorithm with createSuperpixelLSC(). This save the computational cost of allocating memory for all the structures of the algorithm. The function computes the superpixels segmentation of an image with the parameters initialized with the function createSuperpixelLSC(). The algorithms starts from a grid of superpixels and then refines the boundaries by proposing updates of edges boundaries.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7